﻿@model OwnerSite.ViewModels.OwnerPaymentInfoViewModel
@section PAGETITLE{
    Owner's Payment History
}

<style>
    @@media print {
        #dtBasicExample thead {
            background: blue !important;
            color: black !important;
            -webkit-print-color-adjust: exact !important;
        }
    }
</style>

<div class="card mt-5">
    <div class="card-header">
        <strong>Owner's Payment Information</strong>
        <button type="button" class="btn" onclick="window.print()" style="float: right;background:cadetblue;color:white">Print</button>
    </div>
    <div class="card-body">
        <div class="form-group row py-3">
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Owner ID</label>
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.OwnerInfo.SlotId)
                </p>

            </div>
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Owner Name</label>
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.OwnerInfo.Name)
                </p>
                @*@Html.TextBoxFor(m => m.ownerInfo.Name, new { @class = "form-control", placeholder = "Text", id = "text-input", name = "text-input", type = "text", @readonly = "true" })*@
            </div>
        </div>
        <div class="table-responsive-lg">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin: 20px auto">
                <thead style="background-color:#315152;color:white">
                    <tr>
                        <th>Period</th>
                        <th>Paid Amount</th>
                        <th>Status</th>
                        <th>Payment Date</th>
                        <th>Receiving Bank</th>

                    </tr>
                </thead>
                @{
                    int noOfdata = Model.PaymentList.Count();
                }
                @if (noOfdata != 0)
                {
                    foreach (var mdl in Model.PaymentList)
                    {
                        <tr>

                            <td>@mdl.FiscalPeriod</td>
                            <td>@mdl.Amount</td>
                            <td>@mdl.Status</td>
                            @if (mdl.PaymentDate == Convert.ToDateTime("1900-01-01 00:00:00.000") || mdl.PaymentDate == null)
                            {
                                <td>No Payment Date Available Yet</td>
                            }
                            else
                            {
                                <td>@(mdl.PaymentDate?.ToString("dd-MMM-yyyy"))</td>
                            }
                            @if (string.IsNullOrEmpty(mdl.ReceivingBank) == true)
                            {
                                <td>No Bank Decided Yet</td>
                            }
                            else
                            {
                                <td>@mdl.ReceivingBank</td>
                            }
                        </tr>
                    }
                }
            </table>
        </div>
    </div>
</div>
